USB_HUB_CLEAR_TT_BUF(9)

NAME
usb_hub_clear_tt_buffer - clear control/bulk TT state in high speed hub

SYNOPSIS

int usb_hub_clear_tt_buffer(struct urb * urb);

ARGUMENTS

urb
    an URB associated with the failed or incomplete split transaction

DESCRIPTION

High speed HCDs use this to tell the hub driver that some split control or bulk transaction failed in a way that requires clearing internal state of a transaction translator. This is normally detected (and reported) from interrupt context.

It may not be possible for that hub to handle additional full (or low) speed transactions until that state is fully cleared out.

RETURN

0 if successful. A negative error code otherwise.

COPYRIGHT